Activation
Globus FTP Client API

Activation. More...

## Macros

#define | GLOBUS_FTP_CLIENT_MODULE

## Detailed Description

Activation.

The Globus FTP Client library uses the standard module activation and deactivation API to initialize its state. Before any FTP functions are called, the module must be activated

globus_module_activate(GLOBUS_FTP_CLIENT_MODULE);

This function returns GLOBUS_SUCCESS if the FTP library was successfully initialized. This may be called multiple times.

To deactivate the FTP library, the following must be called

globus_module_deactivate(GLOBUS_FTP_CLIENT_MODULE);

## Macro Definition Documentation

## GLOBUS_FTP_CLIENT_MODULE

#define GLOBUS_FTP_CLIENT_MODULE

Module descriptor